This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 492116

Summary: iwl3945 causes panic with 2.6.27.9-159.fc10.x86_64
Product: [Fedora] Fedora Reporter: Mike Harvey <mharvey>
Component: kernelAssignee: John W. Linville <linville>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 10CC: jlaska, kernel-maint, quintela, reinette.chatre
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 480701 Environment:
Last Closed: 2009-05-20 21:24:36 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 480701    
Bug Blocks:    
Attachments:
Description Flags
See crash analysis in attached log
none
change locking none

Description Mike Harvey 2009-03-25 09:16:49 EDT
Created attachment 336637 [details]
See crash analysis in attached log

crash 4.0-7
Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008  Red Hat, Inc.
Copyright (C) 2004, 2005, 2006  IBM Corporation
Copyright (C) 1999-2006  Hewlett-Packard Co
Copyright (C) 2005, 2006  Fujitsu Limited
Copyright (C) 2006, 2007  VA Linux Systems Japan K.K.
Copyright (C) 2005  NEC Corporation
Copyright (C) 1999, 2002, 2007  Silicon Graphics, Inc.
Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
This program is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions.  Enter "help copying" to see the conditions.
This program has absolutely no warranty.  Enter "help warranty" for details.
 
[?1034hGNU gdb 6.1
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i686-pc-linux-gnu"...


please wait... (gathering kmem slab cache data)
please wait... (gathering module symbol data)
                                                

please wait... (gathering task table data)
                                                

please wait... (determining panic task)
                                                
      KERNEL: /usr/lib/debug/lib/modules/2.6.27.19-170.2.35.fc10.i686/vmlinux
    DUMPFILE: ./vmcore
        CPUS: 2
        DATE: Thu Mar 19 09:22:02 2009
      UPTIME: 01:55:57
LOAD AVERAGE: 0.04, 0.01, 0.07
       TASKS: 240
    NODENAME: mharveyf10
     RELEASE: 2.6.27.19-170.2.35.fc10.i686
     VERSION: #1 SMP Mon Feb 23 13:21:22 EST 2009
     MACHINE: i686  (2194 Mhz)
      MEMORY: 2 GB
       PANIC: "Oops: 0000 [#1] SMP " (check log for details)
         PID: 2103
     COMMAND: "rsyslogd"
        TASK: f4862670  [THREAD_INFO: f49cb000]
         CPU: 1
       STATE: TASK_RUNNING (PANIC)

crash> log
Initializing cgroup subsys cpuset
Initializing cgroup subsys cpu
Linux version 2.6.27.19-170.2.35.fc10.i686 (mockbuild@x86-1.fedora.phx.redhat.com) (gcc version 4.3.2 20081105 (Red Hat 4.3.2-7) (GCC) ) #1 SMP Mon Feb 23 13:21:22 EST 2009
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009d800 (usable)
 BIOS-e820: 000000000009d800 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000d2000 - 00000000000d4000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000007e6b0000 (usable)
 BIOS-e820: 000000007e6b0000 - 000000007e6cc000 (ACPI data)
 BIOS-e820: 000000007e6cc000 - 000000007e700000 (ACPI NVS)
 BIOS-e820: 000000007e700000 - 000000007f000000 (reserved)
 BIOS-e820: 00000000f0000000 - 00000000f4000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
 BIOS-e820: 00000000fed00000 - 00000000fed00400 (reserved)
 BIOS-e820: 00000000fed14000 - 00000000fed1a000 (reserved)
 BIOS-e820: 00000000fed1c000 - 00000000fed90000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ff000000 - 0000000100000000 (reserved)
DMI present.
last_pfn = 0x7e6b0 max_arch_pfn = 0x100000
x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
kernel direct mapping tables up to 38000000 @ 7000-c000
Using x86 segment limits to approximate NX protection
RAMDISK: 37c6a000 - 37fefdbe
ACPI: RSDP 000F68D0, 0024 (r2 LENOVO)
ACPI: XSDT 7E6BB77F, 0094 (r1 LENOVO TP-7L        2210  LTP        0)
ACPI: FACP 7E6BB900, 00F4 (r3 LENOVO TP-7L        2210 LNVO        1)
ACPI Warning (tbfadt-0442): Optional field "Gpe1Block" has zero address or length: 000000000000102C/0 [20080609]
ACPI: DSDT 7E6BBD1D, FED1 (r1 LENOVO TP-7L        2210 MSFT  3000000)
ACPI: FACS 7E6E4000, 0040
ACPI: SSDT 7E6BBAB4, 0269 (r1 LENOVO TP-7L        2210 MSFT  3000000)
ACPI: ECDT 7E6CBBEE, 0052 (r1 LENOVO TP-7L        2210 LNVO        1)
ACPI: TCPA 7E6CBC40, 0032 (r2 LENOVO TP-7L        2210 LNVO        1)
ACPI: APIC 7E6CBC72, 0068 (r1 LENOVO TP-7L        2210 LNVO        1)
ACPI: MCFG 7E6CBCDA, 003C (r1 LENOVO TP-7L        2210 LNVO        1)
ACPI: HPET 7E6CBD16, 0038 (r1 LENOVO TP-7L        2210 LNVO        1)
ACPI: SLIC 7E6CBDF0, 0176 (r1 LENOVO TP-7L        2210  LTP        0)
ACPI: BOOT 7E6CBF66, 0028 (r1 LENOVO TP-7L        2210  LTP        1)
ACPI: ASF! 7E6CBF8E, 0072 (r16 LENOVO TP-7L        2210 PTL         1)
ACPI: SSDT 7E6E26D9, 025F (r1 LENOVO TP-7L        2210 INTL 20050513)
ACPI: SSDT 7E6E2938, 00A6 (r1 LENOVO TP-7L        2210 INTL 20050513)
ACPI: SSDT 7E6E29DE, 04F7 (r1 LENOVO TP-7L        2210 INTL 20050513)
ACPI: SSDT 7E6E2ED5, 01D8 (r1 LENOVO TP-7L        2210 INTL 20050513)
ACPI: DMI detected: Lenovo ThinkPad T61
ACPI: Added _OSI(Linux)
1126MB HIGHMEM available.
896MB LOWMEM available.
  mapped low ram: 0 - 38000000
  low ram: 00000000 - 38000000
  bootmap 00008000 - 0000f000
(9 early reservations) ==> bootmem [0000000000 - 0038000000]
  #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]
  #1 [0000001000 - 0000002000]    EX TRAMPOLINE ==> [0000001000 - 0000002000]
  #2 [0000006000 - 0000007000]       TRAMPOLINE ==> [0000006000 - 0000007000]
  #3 [0000400000 - 000097612c]    TEXT DATA BSS ==> [0000400000 - 000097612c]
  #4 [0037c6a000 - 0037fefdbe]          RAMDISK ==> [0037c6a000 - 0037fefdbe]
  #5 [0000977000 - 000097b000]    INIT_PG_TABLE ==> [0000977000 - 000097b000]
  #6 [000009d800 - 0000100000]    BIOS reserved ==> [000009d800 - 0000100000]
  #7 [0000007000 - 0000008000]          PGTABLE ==> [0000007000 - 0000008000]
  #8 [0000008000 - 000000f000]          BOOTMAP ==> [0000008000 - 000000f000]
found SMP MP-table at [c00f6900] 000f6900
Reserving 128MB of memory at 16MB for crashkernel (System RAM: 2022MB)
Zone PFN ranges:
  DMA      0x00000000 -> 0x00001000
  Normal   0x00001000 -> 0x00038000
  HighMem  0x00038000 -> 0x0007e6b0
Movable zone start PFN for each node
early_node_map[2] active PFN ranges
    0: 0x00000000 -> 0x0000009d
    0: 0x00000100 -> 0x0007e6b0
On node 0 totalpages: 517709
free_area_init_node: node 0, pgdat c07f6b00, node_mem_map c9000000
  DMA zone: 3965 pages, LIFO batch:0
  Normal zone: 223520 pages, LIFO batch:31
  HighMem zone: 286178 pages, LIFO batch:31
Using APIC driver default
ACPI: PM-Timer IO Port: 0x1008
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 1, version 32, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Enabling APIC mode:  Flat.  Using 1 I/O APICs
ACPI: HPET id: 0x8086a201 base: 0xfed00000
Using ACPI (MADT) for SMP configuration information
SMP: Allowing 2 CPUs, 0 hotplug CPUs
mapped APIC to ffffb000 (fee00000)
mapped IOAPIC to ffffa000 (fec00000)
PM: Registered nosave memory: 000000000009d000 - 000000000009e000
PM: Registered nosave memory: 000000000009e000 - 00000000000a0000
PM: Registered nosave memory: 00000000000a0000 - 00000000000d2000
PM: Registered nosave memory: 00000000000d2000 - 00000000000d4000
PM: Registered nosave memory: 00000000000d4000 - 00000000000e0000
PM: Registered nosave memory: 00000000000e0000 - 0000000000100000
Allocating PCI resources starting at 80000000 (gap: 7f000000:71000000)
PERCPU: Allocating 41372 bytes of per cpu data
NR_CPUS: 32, nr_cpu_ids: 2, nr_node_ids 1
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 513663
Kernel command line: ro root=/dev/VolGroup00/LogVol00 rhgb quiet crashkernel=128M@16M 
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
CPU 0 irqstacks, hard=c08a3000 soft=c0883000
PID hash table entries: 4096 (order: 12, 16384 bytes)
Extended CMOS year: 2000
TSC: PIT calibration confirmed by PMTIMER.
TSC: using PIT calibration value
Detected 2194.450 MHz processor.
Console: colour VGA+ 80x25
console [tty0] enabled
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 1912472k/2071232k available (2746k kernel code, 157496k reserved, 1423k data, 416k init, 1153728k highmem)
virtual kernel memory layout:
    fixmap  : 0xffc57000 - 0xfffff000   (3744 kB)
    pkmap   : 0xff400000 - 0xff800000   (4096 kB)
    vmalloc : 0xf8800000 - 0xff3fe000   ( 107 MB)
    lowmem  : 0xc0000000 - 0xf8000000   ( 896 MB)
      .init : 0xc0818000 - 0xc0880000   ( 416 kB)
      .data : 0xc06ae93e - 0xc0812618   (1423 kB)
      .text : 0xc0400000 - 0xc06ae93e   (2746 kB)
Checking if this processor honours the WP bit even in supervisor mode...Ok.
CPA: page pool initialized 1 of 1 pages preallocated
SLUB: Genslabs=12, HWalign=64, Order=0-3, MinObjects=0, CPUs=2, Nodes=1
hpet clockevent registered
Calibrating delay loop (skipped), value calculated using timer frequency.. 4388.90 BogoMIPS (lpj=2194450)
Security Framework initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
Mount-cache hash table entries: 512
Initializing cgroup subsys ns
Initializing cgroup subsys cpuacct
Initializing cgroup subsys devices
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
using mwait in idle threads.
Checking 'hlt' instruction... OK.
ACPI: Core revision 20080609
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
CPU0: Intel(R) Core(TM)2 Duo CPU     T7500  @ 2.20GHz stepping 0b
CPU 1 irqstacks, hard=c08a4000 soft=c0884000
Booting processor 1/1 ip 6000
Initializing CPU#1
Calibrating delay using timer specific routine.. 4388.78 BogoMIPS (lpj=2194390)
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#1.
x86 PAT enabled: cpu 1, old 0x7040600070406, new 0x7010600070106
CPU1: Intel(R) Core(TM)2 Duo CPU     T7500  @ 2.20GHz stepping 0b
checking TSC synchronization [CPU#0 -> CPU#1]:
Measured 1207800 cycles TSC warp between CPUs, turning off TSC clock.
Marking TSC unstable due to check_tsc_sync_source failed
Brought up 2 CPUs
Total of 2 processors activated (8777.68 BogoMIPS).
sizeof(vma)=84 bytes
sizeof(page)=32 bytes
sizeof(inode)=340 bytes
sizeof(dentry)=132 bytes
sizeof(ext3inode)=492 bytes
sizeof(buffer_head)=56 bytes
sizeof(skbuff)=184 bytes
sizeof(task_struct)=3268 bytes
CPU0 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 0 1
CPU1 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 1 0
net_namespace: 840 bytes
Booting paravirtualized kernel on bare hardware
Time: 11:26:06  Date: 03/19/09
NET: Registered protocol family 16
ACPI: ACPI Dock Station Driver
ACPI: \_SB_.PCI0.IDE0.PRIM.MSTR: found ejectable bay
ACPI: \_SB_.PCI0.IDE0.PRIM.MSTR: Adding notify handler
ACPI: Bay [\_SB_.PCI0.IDE0.PRIM.MSTR] Added
ACPI FADT declares the system doesn't support PCIe ASPM, so disable it
ACPI: bus type pci registered
PCI: MCFG configuration 0: base f0000000 segment 0 buses 0 - 63
PCI: MCFG area at f0000000 reserved in E820
PCI: Using MMCONFIG for extended config space
PCI: Using configuration type 1 for base access
ACPI: EC: EC description table is found, configuring boot EC
ACPI: BIOS _OSI(Linux) query honored via DMI
ACPI: EC: non-query interrupt received, switching to interrupt mode
ACPI: Interpreter enabled
ACPI: (supports S0 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: EC: GPE = 0x12, I/O: command/status = 0x66, data = 0x62
ACPI: EC: driver started in interrupt mode
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: 0000:00:02.0 reg 10 64bit mmio: [f8100000, f81fffff]
PCI: 0000:00:02.0 reg 18 64bit mmio: [e0000000, efffffff]
PCI: 0000:00:02.0 reg 20 io port: [1800, 1807]
PCI: 0000:00:02.1 reg 10 64bit mmio: [f8200000, f82fffff]
PCI: 0000:00:19.0 reg 10 32bit mmio: [fe000000, fe01ffff]
PCI: 0000:00:19.0 reg 14 32bit mmio: [fe025000, fe025fff]
PCI: 0000:00:19.0 reg 18 io port: [1840, 185f]
pci 0000:00:19.0: PME# supported from D0 D3hot D3cold
pci 0000:00:19.0: PME# disabled
PCI: 0000:00:1a.0 reg 20 io port: [1860, 187f]
PCI: 0000:00:1a.1 reg 20 io port: [1880, 189f]
PCI: 0000:00:1a.7 reg 10 32bit mmio: [fe226c00, fe226fff]
pci 0000:00:1a.7: PME# supported from D0 D3hot D3cold
pci 0000:00:1a.7: PME# disabled
PCI: 0000:00:1b.0 reg 10 64bit mmio: [fe020000, fe023fff]
pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
pci 0000:00:1b.0: PME# disabled
pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
pci 0000:00:1c.0: PME# disabled
pci 0000:00:1c.1: PME# supported from D0 D3hot D3cold
pci 0000:00:1c.1: PME# disabled
pci 0000:00:1c.2: PME# supported from D0 D3hot D3cold
pci 0000:00:1c.2: PME# disabled
pci 0000:00:1c.3: PME# supported from D0 D3hot D3cold
pci 0000:00:1c.3: PME# disabled
pci 0000:00:1c.4: PME# supported from D0 D3hot D3cold
pci 0000:00:1c.4: PME# disabled
PCI: 0000:00:1d.0 reg 20 io port: [18a0, 18bf]
PCI: 0000:00:1d.1 reg 20 io port: [18c0, 18df]
PCI: 0000:00:1d.2 reg 20 io port: [18e0, 18ff]
PCI: 0000:00:1d.7 reg 10 32bit mmio: [fe227000, fe2273ff]
pci 0000:00:1d.7: PME# supported from D0 D3hot D3cold
pci 0000:00:1d.7: PME# disabled
pci 0000:00:1f.0: quirk: region 1000-107f claimed by ICH6 ACPI/GPIO/TCO
pci 0000:00:1f.0: quirk: region 1180-11bf claimed by ICH6 GPIO
PCI: 0000:00:1f.1 reg 10 io port: [0, 7]
PCI: 0000:00:1f.1 reg 14 io port: [0, 3]
PCI: 0000:00:1f.1 reg 18 io port: [0, 7]
PCI: 0000:00:1f.1 reg 1c io port: [0, 3]
PCI: 0000:00:1f.1 reg 20 io port: [1c00, 1c0f]
PCI: 0000:00:1f.2 reg 10 io port: [1c50, 1c57]
PCI: 0000:00:1f.2 reg 14 io port: [1c44, 1c47]
PCI: 0000:00:1f.2 reg 18 io port: [1c48, 1c4f]
PCI: 0000:00:1f.2 reg 1c io port: [1c40, 1c43]
PCI: 0000:00:1f.2 reg 20 io port: [1c20, 1c3f]
PCI: 0000:00:1f.2 reg 24 32bit mmio: [fe226000, fe2267ff]
pci 0000:00:1f.2: PME# supported from D3hot
pci 0000:00:1f.2: PME# disabled
PCI: 0000:00:1f.3 reg 10 32bit mmio: [fe227400, fe2274ff]
PCI: 0000:00:1f.3 reg 20 io port: [1c60, 1c7f]
PCI: bridge 0000:00:1c.0 io port: [2000, 2fff]
PCI: bridge 0000:00:1c.0 32bit mmio: [fc000000, fdffffff]
PCI: bridge 0000:00:1c.0 64bit mmio pref: [f8000000, f80fffff]
PCI: 0000:03:00.0 reg 10 32bit mmio: [df3ff000, df3fffff]
pci 0000:03:00.0: PME# supported from D0 D3hot D3cold
pci 0000:03:00.0: PME# disabled
PCI: bridge 0000:00:1c.1 io port: [3000, 3fff]
PCI: bridge 0000:00:1c.1 32bit mmio: [dc000000, df3fffff]
PCI: bridge 0000:00:1c.1 64bit mmio pref: [dfe00000, dfefffff]
PCI: bridge 0000:00:1c.2 io port: [4000, 4fff]
PCI: bridge 0000:00:1c.2 32bit mmio: [d8000000, d9ffffff]
PCI: bridge 0000:00:1c.2 64bit mmio pref: [dfb00000, dfbfffff]
PCI: bridge 0000:00:1c.3 io port: [5000, 5fff]
PCI: bridge 0000:00:1c.3 32bit mmio: [d4000000, d5ffffff]
PCI: bridge 0000:00:1c.3 64bit mmio pref: [df800000, df8fffff]
PCI: bridge 0000:00:1c.4 io port: [6000, 6fff]
PCI: bridge 0000:00:1c.4 32bit mmio: [d0000000, d1ffffff]
PCI: bridge 0000:00:1c.4 64bit mmio pref: [df500000, df5fffff]
PCI: 0000:15:00.0 reg 10 32bit mmio: [f8300000, f8300fff]
pci 0000:15:00.0: supports D1
pci 0000:15:00.0: supports D2
pci 0000:15:00.0: PME# supported from D0 D1 D2 D3hot D3cold
pci 0000:15:00.0: PME# disabled
PCI: 0000:15:00.1 reg 10 32bit mmio: [f8301000, f83017ff]
pci 0000:15:00.1: supports D1
pci 0000:15:00.1: supports D2
pci 0000:15:00.1: PME# supported from D0 D1 D2 D3hot D3cold
pci 0000:15:00.1: PME# disabled
PCI: 0000:15:00.2 reg 10 32bit mmio: [f8301800, f83018ff]
pci 0000:15:00.2: supports D1
pci 0000:15:00.2: supports D2
pci 0000:15:00.2: PME# supported from D0 D1 D2 D3hot D3cold
pci 0000:15:00.2: PME# disabled
PCI: 0000:15:00.3 reg 10 32bit mmio: [f8301c00, f8301cff]
pci 0000:15:00.3: supports D1
pci 0000:15:00.3: supports D2
pci 0000:15:00.3: PME# supported from D0 D1 D2 D3hot D3cold
pci 0000:15:00.3: PME# disabled
PCI: 0000:15:00.4 reg 10 32bit mmio: [f8302000, f83020ff]
pci 0000:15:00.4: supports D1
pci 0000:15:00.4: supports D2
pci 0000:15:00.4: PME# supported from D0 D1 D2 D3hot D3cold
pci 0000:15:00.4: PME# disabled
PCI: 0000:15:00.5 reg 10 32bit mmio: [f8302400, f83024ff]
pci 0000:15:00.5: supports D1
pci 0000:15:00.5: supports D2
pci 0000:15:00.5: PME# supported from D0 D1 D2 D3hot D3cold
pci 0000:15:00.5: PME# disabled
pci 0000:00:1e.0: transparent bridge
PCI: bridge 0000:00:1e.0 io port: [7000, afff]
PCI: bridge 0000:00:1e.0 32bit mmio: [f8300000, fbffffff]
PCI: bridge 0000:00:1e.0 64bit mmio pref: [f4000000, f7ffffff]
bus 00 -> node 0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.EXP0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.EXP1._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.EXP2._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.EXP3._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.EXP4._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCI1._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 9 *10 11)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 9 10 *11)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 10 *11)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 9 10 *11)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 9 10 *11)
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 9 10 *11)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 9 10 *11)
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 9 10 *11)
ACPI: Power Resource [PUBS] (on)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 11 devices
ACPI: ACPI bus type pnp unregistered
SCSI subsystem initialized
libata version 3.00 loaded.
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
hpet0: 3 64-bit timers, 14318180 Hz
tracer: 772 pages allocated for 65536 entries of 48 bytes
   actual entries 65620
Switched to high resolution mode on CPU 0
ACPI: RTC can wake from S4
Switched to high resolution mode on CPU 1
system 00:00: iomem range 0x0-0x9ffff could not be reserved
system 00:00: iomem range 0xc0000-0xc3fff could not be reserved
system 00:00: iomem range 0xc4000-0xc7fff could not be reserved
system 00:00: iomem range 0xc8000-0xcbfff has been reserved
system 00:00: iomem range 0xcc000-0xcffff has been reserved
system 00:00: iomem range 0xd0000-0xd3fff could not be reserved
system 00:00: iomem range 0xe0000-0xe3fff could not be reserved
system 00:00: iomem range 0xe4000-0xe7fff could not be reserved
system 00:00: iomem range 0xe8000-0xebfff could not be reserved
system 00:00: iomem range 0xec000-0xeffff could not be reserved
system 00:00: iomem range 0xf0000-0xfffff could not be reserved
system 00:00: iomem range 0x100000-0x7effffff could not be reserved
system 00:00: iomem range 0xfec00000-0xfed3ffff could not be reserved
system 00:00: iomem range 0xfed4c000-0xffffffff could not be reserved
system 00:02: ioport range 0x164e-0x164f has been reserved
system 00:02: ioport range 0x1000-0x107f has been reserved
system 00:02: ioport range 0x1180-0x11bf has been reserved
system 00:02: ioport range 0x800-0x80f has been reserved
system 00:02: ioport range 0x15e0-0x15ef has been reserved
system 00:02: ioport range 0x1600-0x165f could not be reserved
system 00:02: iomem range 0xf0000000-0xf3ffffff could not be reserved
system 00:02: iomem range 0xfed1c000-0xfed1ffff could not be reserved
system 00:02: iomem range 0xfed14000-0xfed17fff could not be reserved
system 00:02: iomem range 0xfed18000-0xfed18fff could not be reserved
system 00:02: iomem range 0xfed19000-0xfed19fff could not be reserved
system 00:02: iomem range 0xfed45000-0xfed4bfff could not be reserved
pci 0000:00:1c.0: PCI bridge, secondary bus 0000:02
pci 0000:00:1c.0:   IO window: 0x2000-0x2fff
pci 0000:00:1c.0:   MEM window: 0xfc000000-0xfdffffff
pci 0000:00:1c.0:   PREFETCH window: 0x000000f8000000-0x000000f80fffff
pci 0000:00:1c.1: PCI bridge, secondary bus 0000:03
pci 0000:00:1c.1:   IO window: 0x3000-0x3fff
pci 0000:00:1c.1:   MEM window: 0xdc000000-0xdf3fffff
pci 0000:00:1c.1:   PREFETCH window: 0x000000dfe00000-0x000000dfefffff
pci 0000:00:1c.2: PCI bridge, secondary bus 0000:04
pci 0000:00:1c.2:   IO window: 0x4000-0x4fff
pci 0000:00:1c.2:   MEM window: 0xd8000000-0xd9ffffff
pci 0000:00:1c.2:   PREFETCH window: 0x000000dfb00000-0x000000dfbfffff
pci 0000:00:1c.3: PCI bridge, secondary bus 0000:05
pci 0000:00:1c.3:   IO window: 0x5000-0x5fff
pci 0000:00:1c.3:   MEM window: 0xd4000000-0xd5ffffff
pci 0000:00:1c.3:   PREFETCH window: 0x000000df800000-0x000000df8fffff
pci 0000:00:1c.4: PCI bridge, secondary bus 0000:0d
pci 0000:00:1c.4:   IO window: 0x6000-0x6fff
pci 0000:00:1c.4:   MEM window: 0xd0000000-0xd1ffffff
pci 0000:00:1c.4:   PREFETCH window: 0x000000df500000-0x000000df5fffff
pci 0000:15:00.0: CardBus bridge, secondary bus 0000:16
pci 0000:15:00.0:   IO window: 0x007000-0x0070ff
pci 0000:15:00.0:   IO window: 0x007400-0x0074ff
pci 0000:15:00.0:   PREFETCH window: 0xf4000000-0xf7ffffff
pci 0000:15:00.0:   MEM window: 0x80000000-0x83ffffff
pci 0000:00:1e.0: PCI bridge, secondary bus 0000:15
pci 0000:00:1e.0:   IO window: 0x7000-0xafff
pci 0000:00:1e.0:   MEM window: 0xf8300000-0xfbffffff
pci 0000:00:1e.0:   PREFETCH window: 0x000000f4000000-0x000000f7ffffff
pci 0000:00:1c.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
pci 0000:00:1c.0: setting latency timer to 64
pci 0000:00:1c.1: PCI INT B -> GSI 21 (level, low) -> IRQ 21
pci 0000:00:1c.1: setting latency timer to 64
pci 0000:00:1c.2: PCI INT C -> GSI 22 (level, low) -> IRQ 22
pci 0000:00:1c.2: setting latency timer to 64
pci 0000:00:1c.3: PCI INT D -> GSI 23 (level, low) -> IRQ 23
pci 0000:00:1c.3: setting latency timer to 64
pci 0000:00:1c.4: PCI INT A -> GSI 20 (level, low) -> IRQ 20
pci 0000:00:1c.4: setting latency timer to 64
pci 0000:00:1e.0: enabling device (0005 -> 0007)
pci 0000:00:1e.0: setting latency timer to 64
pci 0000:15:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
bus: 00 index 0 io port: [0, ffff]
bus: 00 index 1 mmio: [0, ffffffffffffffff]
bus: 02 index 0 io port: [2000, 2fff]
bus: 02 index 1 mmio: [fc000000, fdffffff]
bus: 02 index 2 mmio: [f8000000, f80fffff]
bus: 02 index 3 mmio: [0, 0]
bus: 03 index 0 io port: [3000, 3fff]
bus: 03 index 1 mmio: [dc000000, df3fffff]
bus: 03 index 2 mmio: [dfe00000, dfefffff]
bus: 03 index 3 mmio: [0, 0]
bus: 04 index 0 io port: [4000, 4fff]
bus: 04 index 1 mmio: [d8000000, d9ffffff]
bus: 04 index 2 mmio: [dfb00000, dfbfffff]
bus: 04 index 3 mmio: [0, 0]
bus: 05 index 0 io port: [5000, 5fff]
bus: 05 index 1 mmio: [d4000000, d5ffffff]
bus: 05 index 2 mmio: [df800000, df8fffff]
bus: 05 index 3 mmio: [0, 0]
bus: 0d index 0 io port: [6000, 6fff]
bus: 0d index 1 mmio: [d0000000, d1ffffff]
bus: 0d index 2 mmio: [df500000, df5fffff]
bus: 0d index 3 mmio: [0, 0]
bus: 15 index 0 io port: [7000, afff]
bus: 15 index 1 mmio: [f8300000, fbffffff]
bus: 15 index 2 mmio: [f4000000, f7ffffff]
bus: 15 index 3 io port: [0, ffff]
bus: 15 index 4 mmio: [0, ffffffffffffffff]
bus: 16 index 0 io port: [7000, 70ff]
bus: 16 index 1 io port: [7400, 74ff]
bus: 16 index 2 mmio: [f4000000, f7ffffff]
bus: 16 index 3 mmio: [80000000, 83ffffff]
NET: Registered protocol family 2
IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
NET: Registered protocol family 1
checking if image is initramfs... it is
Freeing initrd memory: 3607k freed
Simple Boot Flag at 0x35 set to 0x1
apm: BIOS not found.
audit: initializing netlink socket (disabled)
type=2000 audit(1237461965.448:1): initialized
highmem bounce pool size: 64 pages
HugeTLB registered 4 MB page size, pre-allocated 0 pages
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
msgmni has been set to 1490
SELinux:  Registering netfilter hooks
Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci 0000:00:02.0: Boot video device
pcieport-driver 0000:00:1c.0: setting latency timer to 64
pcieport-driver 0000:00:1c.0: found MSI capability
pci_express 0000:00:1c.0:pcie00: allocate port service
pci_express 0000:00:1c.0:pcie02: allocate port service
pci_express 0000:00:1c.0:pcie03: allocate port service
pcieport-driver 0000:00:1c.1: setting latency timer to 64
pcieport-driver 0000:00:1c.1: found MSI capability
pci_express 0000:00:1c.1:pcie00: allocate port service
pci_express 0000:00:1c.1:pcie02: allocate port service
pci_express 0000:00:1c.1:pcie03: allocate port service
pcieport-driver 0000:00:1c.2: setting latency timer to 64
pcieport-driver 0000:00:1c.2: found MSI capability
pci_express 0000:00:1c.2:pcie00: allocate port service
pci_express 0000:00:1c.2:pcie02: allocate port service
pci_express 0000:00:1c.2:pcie03: allocate port service
pcieport-driver 0000:00:1c.3: setting latency timer to 64
pcieport-driver 0000:00:1c.3: found MSI capability
pci_express 0000:00:1c.3:pcie00: allocate port service
pci_express 0000:00:1c.3:pcie02: allocate port service
pci_express 0000:00:1c.3:pcie03: allocate port service
pcieport-driver 0000:00:1c.4: setting latency timer to 64
pcieport-driver 0000:00:1c.4: found MSI capability
pci_express 0000:00:1c.4:pcie00: allocate port service
pci_express 0000:00:1c.4:pcie02: allocate port service
pci_express 0000:00:1c.4:pcie03: allocate port service
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
decode_hpp: Could not get hotplug parameters. Use defaults
acpiphp: Slot [1] registered
ACPI: AC Adapter [AC] (on-line)
ACPI: Battery Slot [BAT0] (battery present)
input: Power Button (FF) as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
ACPI: Power Button (FF) [PWRF]
input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1
ACPI: Lid Switch [LID]
input: Sleep Button (CM) as /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input2
ACPI: Sleep Button (CM) [SLPB]
ACPI: SSDT 7E6E1B32, 02C4 (r1  PmRef  Cpu0Ist      100 INTL 20050513)
ACPI: SSDT 7E6E1E7B, 085E (r1  PmRef  Cpu0Cst      100 INTL 20050513)
Monitor-Mwait will be used to enter C-1 state
Monitor-Mwait will be used to enter C-2 state
Monitor-Mwait will be used to enter C-3 state
ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
processor ACPI0007:00: registered as cooling_device0
ACPI: Processor [CPU0] (supports 8 throttling states)
ACPI: SSDT 7E6E1A6A, 00C8 (r1  PmRef  Cpu1Ist      100 INTL 20050513)
ACPI: SSDT 7E6E1DF6, 0085 (r1  PmRef  Cpu1Cst      100 INTL 20050513)
ACPI: CPU1 (power states: C1[C1] C2[C2] C3[C3])
processor ACPI0007:01: registered as cooling_device1
ACPI: Processor [CPU1] (supports 8 throttling states)
thermal LNXTHERM:01: registered as thermal_zone0
ACPI: Thermal Zone [THM0] (65 C)
thermal LNXTHERM:02: registered as thermal_zone1
ACPI: Thermal Zone [THM1] (66 C)
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
hpet_resources: 0xfed00000 is busy
Non-volatile memory driver v1.2
Linux agpgart interface v0.103
agpgart-intel 0000:00:00.0: Intel 965GM Chipset
agpgart-intel 0000:00:00.0: detected 7676K stolen memory
agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xe0000000
Serial: 8250/16550 driver4 ports, IRQ sharing enabled
brd: module loaded
loop: module loaded
input: Macintosh mouse button emulation as /devices/virtual/input/input3
Driver 'sd' needs updating - please use bus_type methods
Driver 'sr' needs updating - please use bus_type methods
ahci 0000:00:1f.2: version 3.0
ahci 0000:00:1f.2: PCI INT B -> GSI 16 (level, low) -> IRQ 16
ahci 0000:00:1f.2: AHCI 0001.0100 32 slots 3 ports 1.5 Gbps 0x1 impl SATA mode
ahci 0000:00:1f.2: flags: 64bit ncq sntf pm led clo pio slum part 
ahci 0000:00:1f.2: setting latency timer to 64
scsi0 : ahci
scsi1 : ahci
scsi2 : ahci
ata1: SATA max UDMA/133 abar m2048@0xfe226000 port 0xfe226100 irq 16
ata2: DUMMY
ata3: DUMMY
ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata1.00: ACPI cmd ef/02:00:00:00:00:a0 succeeded
ata1.00: ACPI cmd f5/00:00:00:00:00:a0 filtered out
ata1.00: ACPI cmd ef/5f:00:00:00:00:a0 succeeded
ata1.00: ACPI cmd ef/10:03:00:00:00:a0 filtered out
ata1.00: ATA-8: HITACHI HTS722010K9SA00, DC2ZC75A, max UDMA/133
ata1.00: 195371568 sectors, multi 16: LBA48 NCQ (depth 31/32)
ata1.00: ACPI cmd ef/02:00:00:00:00:a0 succeeded
ata1.00: ACPI cmd f5/00:00:00:00:00:a0 filtered out
ata1.00: ACPI cmd ef/5f:00:00:00:00:a0 succeeded
ata1.00: ACPI cmd ef/10:03:00:00:00:a0 filtered out
ata1.00: configured for UDMA/133
ata1.00: configured for UDMA/133
ata1: EH complete
scsi 0:0:0:0: Direct-Access     ATA      HITACHI HTS72201 DC2Z PQ: 0 ANSI: 5
sd 0:0:0:0: [sda] 195371568 512-byte hardware sectors (100030 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
sd 0:0:0:0: [sda] 195371568 512-byte hardware sectors (100030 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
 sda: sda1 sda2
sd 0:0:0:0: [sda] Attached SCSI disk
sd 0:0:0:0: Attached scsi generic sg0 type 0
ata_piix 0000:00:1f.1: version 2.12
ata_piix 0000:00:1f.1: PCI INT C -> GSI 16 (level, low) -> IRQ 16
ata_piix 0000:00:1f.1: setting latency timer to 64
scsi3 : ata_piix
scsi4 : ata_piix
ata4: PATA max UDMA/100 cmd 0x1f0 ctl 0x3f6 bmdma 0x1c00 irq 14
ata5: PATA max UDMA/100 cmd 0x170 ctl 0x376 bmdma 0x1c08 irq 15
ata4.00: ATAPI: HL-DT-ST DVDRAM GSA-U10N, 1.05, max UDMA/33
ata4.00: configured for UDMA/33
ata5: port disabled. ignoring.
scsi 3:0:0:0: CD-ROM            HL-DT-ST DVDRAM GSA-U10N  1.05 PQ: 0 ANSI: 5
sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 3:0:0:0: Attached scsi CD-ROM sr0
sr 3:0:0:0: Attached scsi generic sg1 type 5
ehci_hcd 0000:00:1a.7: power state changed by ACPI to D0
ehci_hcd 0000:00:1a.7: PCI INT C -> GSI 22 (level, low) -> IRQ 22
ehci_hcd 0000:00:1a.7: setting latency timer to 64
ehci_hcd 0000:00:1a.7: EHCI Host Controller
ehci_hcd 0000:00:1a.7: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:1a.7: cache line size of 32 is not supported
ehci_hcd 0000:00:1a.7: irq 22, io mem 0xfe226c00
ehci_hcd 0000:00:1a.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 4 ports detected
usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb1: Product: EHCI Host Controller
usb usb1: Manufacturer: Linux 2.6.27.19-170.2.35.fc10.i686 ehci_hcd
usb usb1: SerialNumber: 0000:00:1a.7
ehci_hcd 0000:00:1d.7: power state changed by ACPI to D0
ehci_hcd 0000:00:1d.7: PCI INT D -> GSI 19 (level, low) -> IRQ 19
ehci_hcd 0000:00:1d.7: setting latency timer to 64
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 2
ehci_hcd 0000:00:1d.7: debug port 1
ehci_hcd 0000:00:1d.7: cache line size of 32 is not supported
ehci_hcd 0000:00:1d.7: irq 19, io mem 0xfe227000
ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 6 ports detected
usb usb2: New USB device found, idVendor=1d6b, idProduct=0002
usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb2: Product: EHCI Host Controller
usb usb2: Manufacturer: Linux 2.6.27.19-170.2.35.fc10.i686 ehci_hcd
usb usb2: SerialNumber: 0000:00:1d.7
ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
USB Universal Host Controller Interface driver v3.0
uhci_hcd 0000:00:1a.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
uhci_hcd 0000:00:1a.0: setting latency timer to 64
uhci_hcd 0000:00:1a.0: UHCI Host Controller
uhci_hcd 0000:00:1a.0: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:1a.0: irq 20, io base 0x00001860
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
usb 1-4: new high speed USB device using ehci_hcd and address 4
usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb3: Product: UHCI Host Controller
usb usb3: Manufacturer: Linux 2.6.27.19-170.2.35.fc10.i686 uhci_hcd
usb usb3: SerialNumber: 0000:00:1a.0
uhci_hcd 0000:00:1a.1: power state changed by ACPI to D0
uhci_hcd 0000:00:1a.1: PCI INT B -> GSI 21 (level, low) -> IRQ 21
uhci_hcd 0000:00:1a.1: setting latency timer to 64
uhci_hcd 0000:00:1a.1: UHCI Host Controller
uhci_hcd 0000:00:1a.1: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:1a.1: irq 21, io base 0x00001880
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
usb 1-4: configuration #1 chosen from 1 choice
hub 1-4:1.0: USB hub found
hub 1-4:1.0: 4 ports detected
usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb4: Product: UHCI Host Controller
usb usb4: Manufacturer: Linux 2.6.27.19-170.2.35.fc10.i686 uhci_hcd
usb usb4: SerialNumber: 0000:00:1a.1
uhci_hcd 0000:00:1d.0: power state changed by ACPI to D0
uhci_hcd 0000:00:1d.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
uhci_hcd 0000:00:1d.0: setting latency timer to 64
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 5
uhci_hcd 0000:00:1d.0: irq 16, io base 0x000018a0
usb usb5: configuration #1 chosen from 1 choice
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 2 ports detected
usb 1-4: New USB device found, idVendor=04b3, idProduct=4485
usb 1-4: New USB device strings: Mfr=0, Product=0, SerialNumber=0
usb usb5: New USB device found, idVendor=1d6b, idProduct=0001
usb usb5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb5: Product: UHCI Host Controller
usb usb5: Manufacturer: Linux 2.6.27.19-170.2.35.fc10.i686 uhci_hcd
usb usb5: SerialNumber: 0000:00:1d.0
uhci_hcd 0000:00:1d.1: PCI INT B -> GSI 17 (level, low) -> IRQ 17
uhci_hcd 0000:00:1d.1: setting latency timer to 64
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 6
uhci_hcd 0000:00:1d.1: irq 17, io base 0x000018c0
usb usb6: configuration #1 chosen from 1 choice
hub 6-0:1.0: USB hub found
hub 6-0:1.0: 2 ports detected
usb 3-1: new full speed USB device using uhci_hcd and address 2
usb usb6: New USB device found, idVendor=1d6b, idProduct=0001
usb usb6: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb6: Product: UHCI Host Controller
usb usb6: Manufacturer: Linux 2.6.27.19-170.2.35.fc10.i686 uhci_hcd
usb usb6: SerialNumber: 0000:00:1d.1
uhci_hcd 0000:00:1d.2: power state changed by ACPI to D0
uhci_hcd 0000:00:1d.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
uhci_hcd 0000:00:1d.2: setting latency timer to 64
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 7
uhci_hcd 0000:00:1d.2: irq 18, io base 0x000018e0
usb usb7: configuration #1 chosen from 1 choice
hub 7-0:1.0: USB hub found
hub 7-0:1.0: 2 ports detected
usb 3-1: configuration #1 chosen from 1 choice
usb 3-1: New USB device found, idVendor=0a5c, idProduct=2110
usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 3-1: Product: BCM2045B
usb 3-1: Manufacturer: Broadcom Corp
usb usb7: New USB device found, idVendor=1d6b, idProduct=0001
usb usb7: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb7: Product: UHCI Host Controller
usb usb7: Manufacturer: Linux 2.6.27.19-170.2.35.fc10.i686 uhci_hcd
usb usb7: SerialNumber: 0000:00:1d.2
PNP: PS/2 Controller [PNP0303:KBD,PNP0f13:MOU] at 0x60,0x64 irq 1,12
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input4
rtc_cmos 00:07: rtc core: registered rtc_cmos as rtc0
rtc0: alarms up to one month, y3k, hpet irqs
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.14.0-ioctl (2008-04-23) initialised: dm-devel@redhat.com
cpuidle: using governor ladder
cpuidle: using governor menu
usb 3-2: new full speed USB device using uhci_hcd and address 3
usb 3-2: configuration #1 chosen from 1 choice
usb 3-2: New USB device found, idVendor=0483, idProduct=2016
usb 3-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 3-2: Product: Biometric Coprocessor
usb 3-2: Manufacturer: STMicroelectronics
usb 1-4.3: new low speed USB device using ehci_hcd and address 5
usb 1-4.3: configuration #1 chosen from 1 choice
usb 1-4.3: New USB device found, idVendor=046d, idProduct=c517
usb 1-4.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4.3: Product: USB Receiver
usb 1-4.3: Manufacturer: Logitech
usbcore: registered new interface driver hiddev
input: Logitech USB Receiver as /devices/pci0000:00/0000:00:1a.7/usb1/1-4/1-4.3/1-4.3:1.0/input/input5
input,hidraw0: USB HID v1.10 Keyboard [Logitech USB Receiver] on usb-0000:00:1a.7-4.3
Fixing up Logitech keyboard report descriptor
input: Logitech USB Receiver as /devices/pci0000:00/0000:00:1a.7/usb1/1-4/1-4.3/1-4.3:1.1/input/input6
input,hiddev96,hidraw1: USB HID v1.10 Mouse [Logitech USB Receiver] on usb-0000:00:1a.7-4.3
usbcore: registered new interface driver usbhid
usbhid: v2.6:USB HID core driver
nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Plase use
nf_conntrack.acct=1 kernel paramater, acct=1 nf_conntrack module option or
sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
ip_tables: (C) 2000-2006 Netfilter Core Team
TCP cubic registered
Initializing XFRM netlink socket
NET: Registered protocol family 17
Using IPI No-Shortcut mode
registered taskstats version 1
  Magic number: 1:947:428
Freeing unused kernel memory: 416k freed
Write protecting the kernel text: 2748k
Write protecting the kernel read-only data: 1176k
Clocksource tsc unstable (delta = -196342651 ns)
Synaptics Touchpad, model: 1, fw: 6.2, id: 0x81a0b1, caps: 0xa04791/0x300000
serio: Synaptics pass-through port at isa0060/serio1/input0
input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input7
EXT3-fs: INFO: recovery required on readonly filesystem.
EXT3-fs: write access will be enabled during recovery.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: recovery complete.
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: 8192 avtab hash slots, 114634 rules.
SELinux: 8192 avtab hash slots, 114634 rules.
SELinux:  8 users, 11 roles, 2676 types, 121 bools, 1 sens, 1024 cats
SELinux:  73 classes, 114634 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev dm-0, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev anon_inodefs, type anon_inodefs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
type=1403 audit(1237461970.472:2): policy loaded auid=4294967295 ses=4294967295
psmouse serio2: ID: 10 00 64<6>udevd version 127 started
ACPI: WMI: Mapper loaded
iTCO_vendor_support: vendor-support=0
input: PC Speaker as /devices/platform/pcspkr/input/input8
Bluetooth: Core ver 2.13
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
iTCO_wdt: Intel TCO WatchDog Timer Driver v1.03 (30-Apr-2008)
iTCO_wdt: Found a ICH8M-E TCO device (Version=2, TCOBASE=0x1060)
iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
acpi device:03: registered as cooling_device2
input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:02/input/input9
ACPI: Video Device [VID] (multi-head: yes  rom: no  post: no)
acpi device:08: registered as cooling_device3
input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:06/device:07/input/input10
ACPI: Video Device [VID1] (multi-head: yes  rom: no  post: no)
sdhci: Secure Digital Host Controller Interface driver
sdhci: Copyright(c) Pierre Ossman
ricoh-mmc: Ricoh MMC Controller disabling driver
ricoh-mmc: Copyright(c) Philip Langdale
ricoh-mmc: Ricoh MMC controller found at 0000:15:00.3 [1180:0843] (rev 11)
ricoh-mmc: Controller is now disabled.
sdhci-pci 0000:15:00.2: SDHCI controller found [1180:0822] (rev 21)
sdhci-pci 0000:15:00.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
sdhci-pci 0000:15:00.2: Will use DMA mode even though HW doesn't fully claim to support it.
sdhci-pci 0000:15:00.2: setting latency timer to 64
Registered led device: mmc0
mmc0: SDHCI controller on PCI [0000:15:00.2] using DMA
Yenta: CardBus bridge found at 0000:15:00.0 [17aa:20c6]
IBM TrackPoint firmware: 0x0e, buttons: 3/3
e1000e: Intel(R) PRO/1000 Network Driver - 0.3.3.3-k6
e1000e: Copyright (c) 1999-2008 Intel Corporation.
Yenta: ISA IRQ mask 0x0cb8, PCI irq 16
Socket status: 30000006
pcmcia: parent PCI bridge I/O window: 0x7000 - 0xafff
cs: IO port probe 0x7000-0xafff: clean.
pcmcia: parent PCI bridge Memory window: 0xf8300000 - 0xfbffffff
pcmcia: parent PCI bridge Memory window: 0xf4000000 - 0xf7ffffff
Bluetooth: Generic Bluetooth USB driver ver 0.3
usbcore: registered new interface driver btusb
input: TPPS/2 IBM TrackPoint as /devices/platform/i8042/serio1/serio2/input/input11
iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux, 1.2.26kds
iwl3945: Copyright(c) 2003-2008 Intel Corporation
thinkpad_acpi: ThinkPad ACPI Extras v0.21
thinkpad_acpi: http://ibm-acpi.sf.net/
thinkpad_acpi: ThinkPad BIOS 7LETC1WW (2.21 ), EC 7KHT24WW-1.08
thinkpad_acpi: Lenovo ThinkPad T61, model 6464Y1E
thinkpad_acpi: radio switch found; radios are enabled
thinkpad_acpi: This ThinkPad has standard ACPI backlight brightness control, supported by the ACPI video driver
thinkpad_acpi: Disabling thinkpad-acpi brightness events by default...
Registered led device: tpacpi::thinklight
Registered led device: tpacpi::power
Registered led device: tpacpi:orange:batt
Registered led device: tpacpi:green:batt
Registered led device: tpacpi::dock_active
Registered led device: tpacpi::bay_active
Registered led device: tpacpi::dock_batt
Registered led device: tpacpi::unknown_led
Registered led device: tpacpi::standby
thinkpad_acpi: Lenovo BIOS switched to ACPI backlight control mode
thinkpad_acpi: standard ACPI backlight interface available, not loading native one...
input: ThinkPad Extra Buttons as /devices/virtual/input/input12
e1000e 0000:00:19.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
e1000e 0000:00:19.0: setting latency timer to 64
0000:00:19.0: 0000:00:19.0: Failed to initialize MSI interrupts.  Falling back to legacy interrupts.
0000:00:19.0: eth0: (PCI Express:2.5GB/s:Width x1) 00:1f:e2:18:05:13
0000:00:19.0: eth0: Intel(R) PRO/1000 Network Connection
0000:00:19.0: eth0: MAC: 5, PHY: 6, PBA No: 1008ff-0ff
i801_smbus 0000:00:1f.3: PCI INT A -> GSI 23 (level, low) -> IRQ 23
firewire_ohci 0000:15:00.1: PCI INT B -> GSI 17 (level, low) -> IRQ 17
iwl3945 0000:03:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
iwl3945 0000:03:00.0: setting latency timer to 64
iwl3945: Detected Intel Wireless WiFi Link 3945ABG
cs: IO port probe 0x100-0x3af: clean.
cs: IO port probe 0x3e0-0x4ff: excluding 0x4d0-0x4d7
cs: IO port probe 0x820-0x8ff: clean.
cs: IO port probe 0xc00-0xcf7: clean.
cs: IO port probe 0xa00-0xaff: clean.
iwl3945: Tunable channels: 11 802.11bg, 13 802.11a channels
phy0: Selected rate control algorithm 'iwl-3945-rs'
firewire_ohci: Added fw-ohci device 0000:15:00.1, OHCI version 1.10
iwl3945 0000:03:00.0: PCI INT A disabled
HDA Intel 0000:00:1b.0: PCI INT B -> GSI 17 (level, low) -> IRQ 17
hda_intel: probe_mask set to 0x1 for device 17aa:20ac
HDA Intel 0000:00:1b.0: setting latency timer to 64
firewire_core: created device fw0: GUID 00016c00006b5d8c, S400
ALSA sound/pci/hda/hda_intel.c:609: hda_intel: azx_get_response timeout, switching to polling mode: last cmd=0x012f000c
device-mapper: multipath: version 1.0.5 loaded
EXT3 FS on dm-0, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev sda1, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
Adding 4095992k swap on /dev/mapper/VolGroup00-LogVol01.  Priority:-1 extents:1 across:4095992k
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
IA-32 Microcode Update Driver: v1.14a <tigran@aivazian.fsnet.co.uk>
firmware: requesting intel-ucode/06-0f-0b
firmware: requesting intel-ucode/06-0f-0b
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
ip6_tables: (C) 2000-2006 Netfilter Core Team
RPC: Registered udp transport module.
RPC: Registered tcp transport module.
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
Bluetooth: L2CAP ver 2.11
Bluetooth: L2CAP socket layer initialized
Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Bluetooth: BNEP filters: protocol multicast
Bridge firewalling registered
Bluetooth: SCO (Voice Link) ver 0.6
Bluetooth: SCO socket layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.10
ADDRCONF(NETDEV_UP): eth0: link is not ready
iwl3945 0000:03:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
iwl3945 0000:03:00.0: restoring config space at offset 0x1 (was 0x100102, writing 0x100106)
firmware: requesting iwlwifi-3945-1.ucode
Registered led device: iwl-phy0:radio
Registered led device: iwl-phy0:assoc
Registered led device: iwl-phy0:RX
Registered led device: iwl-phy0:TX
ADDRCONF(NETDEV_UP): wlan0: link is not ready
0000:00:19.0: eth0: Link is Up 100 Mbps Full Duplex, Flow Control: None
0000:00:19.0: eth0: 10/100 speed: disabling TSO
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[drm] Initialized drm 1.1.0 20060810
pci 0000:00:02.0: power state changed by ACPI to D0
pci 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
pci 0000:00:02.0: setting latency timer to 64
[drm] Initialized i915 1.6.0 20080730 on minor 0
eth0: no IPv6 routers present
CPU0 attaching NULL sched-domain.
CPU1 attaching NULL sched-domain.
CPU0 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 0 1
CPU1 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 1 0
CPU0 attaching NULL sched-domain.
CPU1 attaching NULL sched-domain.
CPU0 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 0 1
CPU1 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 1 0
fuse init (API version 7.9)
SELinux: initialized (dev fuse, type fuse), uses genfs_contexts
CPU0 attaching NULL sched-domain.
CPU1 attaching NULL sched-domain.
CPU0 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 0 1
CPU1 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 1 0
wlan0: authenticate with AP 00:1d:45:ce:31:c0
wlan0: authenticated
wlan0: associate with AP 00:1d:45:ce:31:c0
wlan0: RX AssocResp from 00:1d:45:ce:31:c0 (capab=0x431 status=0 aid=74)
wlan0: associated
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: no IPv6 routers present
npviewer.bin[6127]: segfault at 0 ip 0051f4a0 sp b0b5bf30 error 4 in libc-2.9.so[4a7000+16e000]
CE: hpet increasing min_delta_ns to 15000 nsec
BUG: sleeping function called from invalid context at kernel/mutex.c:88
in_atomic():1, irqs_disabled():0
Pid: 0, comm: swapper Not tainted 2.6.27.19-170.2.35.fc10.i686 #1
 [<c0427ecd>] __might_sleep+0xc6/0xcb
 [<c06a9d97>] mutex_lock+0x18/0x2d
 [<f8a9bd9a>] iwl3945_mac_conf_tx+0x19e/0x20c [iwl3945]
 [<f8a3a615>] ieee80211_sta_wmm_params+0x175/0x1a4 [mac80211]
 [<f8a3c4fe>] ieee80211_rx_mgmt_beacon+0xe8/0x1de [mac80211]
 [<c062e288>] ? __kfree_skb+0x63/0x66
 [<f8a3c653>] ieee80211_sta_rx_scan+0x5f/0x78 [mac80211]
 [<f8a43087>] ieee80211_invoke_rx_handlers+0x4d/0x1475 [mac80211]
 [<c04242e6>] ? enqueue_entity+0x203/0x20b
 [<c06aad4b>] ? _spin_unlock_irqrestore+0x22/0x38
 [<c0431f50>] ? __tasklet_schedule+0x66/0x7d
 [<f8a42b02>] ? ieee80211_rx_irqsafe+0x4d/0x52 [mac80211]
 [<f8aa4201>] ? iwl3945_pass_packet_to_mac80211+0x272/0x284 [iwl3945]
 [<f8aa4a25>] ? iwl3945_rx_reply_rx+0x812/0x81a [iwl3945]
 [<f8a4496b>] __ieee80211_rx_handle_packet+0x4bc/0x4ce [mac80211]
 [<f8a44fdc>] __ieee80211_rx+0x464/0x4b4 [mac80211]
 [<f8a36c88>] ieee80211_tasklet_handler+0x62/0xda [mac80211]
 [<c0432129>] tasklet_action+0x7f/0xea
 [<c0432757>] __do_softirq+0x84/0x109
 [<c04326d3>] ? __do_softirq+0x0/0x109
 [<c0406f1c>] do_softirq+0x77/0xdb
 [<c046626f>] ? handle_fasteoi_irq+0x0/0xc0
 [<c04323be>] irq_exit+0x44/0x83
 [<c0406e8e>] do_IRQ+0xe7/0xfe
 [<c0405668>] common_interrupt+0x28/0x30
 [<c0567b2e>] ? acpi_idle_enter_bm+0x27d/0x2cc
 [<c061778a>] cpuidle_idle_call+0x60/0x92
 [<c0403c61>] cpu_idle+0x101/0x134
 [<c06a694a>] start_secondary+0x197/0x19f
 =======================
BUG: scheduling while atomic: swapper/0/0x00000100
Modules linked in: fuse i915 drm rfcomm sco bridge stp bnep l2cap sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq dm_multipath uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq arc4 snd_seq_device ecb crypto_blkcipher snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_hwdep thinkpad_acpi iwl3945 snd firewire_ohci firewire_core btusb e1000e i2c_i801 soundcore mac80211 i2c_core yenta_socket rsrc_nonstatic sdhci_pci ricoh_mmc sdhci rfkill video mmc_core iTCO_wdt bluetooth pcspkr iTCO_vendor_support cfg80211 hwmon output crc_itu_t joydev wmi [last unloaded: microcode]

Pid: 0, comm: swapper Not tainted (2.6.27.19-170.2.35.fc10.i686 #1) 6464Y1E
EIP: 0060:[<c0567b2e>] EFLAGS: 00000246 CPU: 1
EIP is at acpi_idle_enter_bm+0x27d/0x2cc
EAX: c087b670 EBX: 000071fa ECX: c9fed180 EDX: 0976e000
ESI: 00000000 EDI: 002335c1 EBP: f7849f7c ESP: f7849f60
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
CR0: 8005003b CR2: b7f2b000 CR3: 00880000 CR4: 000006d0
DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
DR6: ffff0ff0 DR7: 00000400
 [<c061778a>] cpuidle_idle_call+0x60/0x92
 [<c0403c61>] cpu_idle+0x101/0x134
 [<c06a694a>] start_secondary+0x197/0x19f
 =======================
bad: scheduling from the idle thread!
Pid: 0, comm: swapper Not tainted 2.6.27.19-170.2.35.fc10.i686 #1
 [<c06a8ee1>] ? printk+0xf/0x16
 [<c0422126>] dequeue_task_idle+0x2a/0x37
 [<c04203fa>] dequeue_task+0x106/0x118
 [<c0420444>] deactivate_task+0x19/0x1f
 [<c06a91bc>] schedule+0x183/0x70d
 [<c057df68>] ? vt_console_print+0x0/0x25c
 [<c06aae64>] ? _spin_lock_irqsave+0x29/0x30
 [<c0436adf>] ? __mod_timer+0x9d/0xa8
 [<c06a9ab9>] schedule_timeout+0x9d/0xbc
 [<c04365f9>] ? process_timeout+0x0/0xa
 [<c0436a55>] ? __mod_timer+0x13/0xa8
 [<f8a9b129>] iwl3945_send_cmd_sync+0x12e/0x2b9 [iwl3945]
 [<c043ef62>] ? autoremove_wake_function+0x0/0x33
 [<f8a9b86d>] iwl3945_send_cmd_pdu+0x3a/0x42 [iwl3945]
 [<f8a9bbf3>] iwl3945_activate_qos+0xd9/0xe2 [iwl3945]
 [<f8a9bdc4>] iwl3945_mac_conf_tx+0x1c8/0x20c [iwl3945]
 [<f8a3a615>] ieee80211_sta_wmm_params+0x175/0x1a4 [mac80211]
 [<f8a3c4fe>] ieee80211_rx_mgmt_beacon+0xe8/0x1de [mac80211]
 [<c062e288>] ? __kfree_skb+0x63/0x66
 [<f8a3c653>] ieee80211_sta_rx_scan+0x5f/0x78 [mac80211]
 [<f8a43087>] ieee80211_invoke_rx_handlers+0x4d/0x1475 [mac80211]
 [<c04242e6>] ? enqueue_entity+0x203/0x20b
 [<c06aad4b>] ? _spin_unlock_irqrestore+0x22/0x38
 [<c0431f50>] ? __tasklet_schedule+0x66/0x7d
 [<f8a42b02>] ? ieee80211_rx_irqsafe+0x4d/0x52 [mac80211]
 [<f8aa4201>] ? iwl3945_pass_packet_to_mac80211+0x272/0x284 [iwl3945]
 [<f8aa4a25>] ? iwl3945_rx_reply_rx+0x812/0x81a [iwl3945]
 [<f8a4496b>] __ieee80211_rx_handle_packet+0x4bc/0x4ce [mac80211]
 [<f8a44fdc>] __ieee80211_rx+0x464/0x4b4 [mac80211]
 [<f8a36c88>] ieee80211_tasklet_handler+0x62/0xda [mac80211]
 [<c0432129>] tasklet_action+0x7f/0xea
 [<c0432757>] __do_softirq+0x84/0x109
 [<c04326d3>] ? __do_softirq+0x0/0x109
 [<c0406f1c>] do_softirq+0x77/0xdb
 [<c046626f>] ? handle_fasteoi_irq+0x0/0xc0
 [<c04323be>] irq_exit+0x44/0x83
 [<c0406e8e>] do_IRQ+0xe7/0xfe
 [<c0405668>] common_interrupt+0x28/0x30
 [<c0567b2e>] ? acpi_idle_enter_bm+0x27d/0x2cc
 [<c061778a>] cpuidle_idle_call+0x60/0x92
 [<c0403c61>] cpu_idle+0x101/0x134
 [<c06a694a>] start_secondary+0x197/0x19f
 =======================
BUG: unable to handle kernel NULL pointer dereference at 00000000
IP: [<00000000>]
*pde = 7dd37067 
Oops: 0000 [#1] SMP 
Modules linked in: fuse i915 drm rfcomm sco bridge stp bnep l2cap sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq dm_multipath uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq arc4 snd_seq_device ecb crypto_blkcipher snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_hwdep thinkpad_acpi iwl3945 snd firewire_ohci firewire_core btusb e1000e i2c_i801 soundcore mac80211 i2c_core yenta_socket rsrc_nonstatic sdhci_pci ricoh_mmc sdhci rfkill video mmc_core iTCO_wdt bluetooth pcspkr iTCO_vendor_support cfg80211 hwmon output crc_itu_t joydev wmi [last unloaded: microcode]

Pid: 2103, comm: rsyslogd Not tainted (2.6.27.19-170.2.35.fc10.i686 #1) 6464Y1E
EIP: 0060:[<00000000>] EFLAGS: 00010046 CPU: 1
EIP is at 0x0
EAX: c9fecc00 EBX: c06b6680 ECX: 00000001 EDX: f7856680
ESI: f7856680 EDI: c9fecc00 EBP: c0884ebc ESP: c0884eac
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process rsyslogd (pid: 2103, ti=c0884000 task=f4862670 task.ti=f49cb000)
Stack: c04202e8 c9fecc00 f7856680 c9fecc00 c0884ec8 c0420425 00000001 c0884ef4 
       c042814c 00000000 00000001 c0884f04 00000001 00000001 00000086 c0884c6c 
       f48c1734 00000001 c0884efc c04281ea c0884f10 c043ef71 00000000 c0884c6c 
Call Trace:
 [<c04202e8>] ? enqueue_task+0x4c/0x58
 [<c0420425>] ? activate_task+0x19/0x1f
 [<c042814c>] ? try_to_wake_up+0x1a8/0x23b
 [<c04281ea>] ? default_wake_function+0xb/0xd
 [<c043ef71>] ? autoremove_wake_function+0xf/0x33
 [<c042094e>] ? __wake_up_common+0x35/0x5b
 [<c0421f66>] ? __wake_up+0x28/0x3b
 [<f8a9ff9c>] ? iwl3945_irq_tasklet+0x665/0x8e8 [iwl3945]
 [<c04365f9>] ? process_timeout+0x0/0xa
 [<c0432129>] ? tasklet_action+0x7f/0xea
 [<c0432757>] ? __do_softirq+0x84/0x109
 [<c04326d3>] ? __do_softirq+0x0/0x109
 [<c0406f1c>] ? do_softirq+0x77/0xdb
 [<c04323be>] ? irq_exit+0x44/0x83
 [<c04152b1>] ? smp_apic_timer_interrupt+0x6e/0x7c
 [<c040576d>] ? apic_timer_interrupt+0x2d/0x34
 [<c06a007b>] ? agp_serverworks_probe+0xff/0x1bf
 [<c04193bf>] ? read_hpet+0xf/0x13
 [<c04445f7>] ? getnstimeofday+0x54/0xe1
 [<c0444695>] ? do_gettimeofday+0x11/0x2c
 [<c0431d75>] ? sys_gettimeofday+0x1d/0x58
 [<c0404c8a>] ? syscall_call+0x7/0xb
 =======================
Code:  Bad EIP value.
EIP: [<00000000>] 0x0 SS:ESP 0068:c0884eac
crash> quit

I still have the vmcore file if needed.  mharvey@redhat.com
Comment 1 John W. Linville 2009-03-25 11:59:42 EDT
iwl3945_mac_conf_tx wraps mutex_lock(&priv->mutex) around iwl3945_activate_qos

iwlagn just uses priv->lock

Proper usage of priv->mutex versus priv->lock in iwl3945 is unclear to me, so I'm making Intel team aware of the issue.
Comment 2 reinette chatre 2009-03-25 13:21:07 EDT
Created attachment 336678 [details]
change locking

Could you please test with attached patch?
Comment 3 Mike Harvey 2009-03-25 13:49:08 EDT
Sorry.  I rebuilt my O/S from scratch yesterday.  This was my primary use system and I was getting Kernel panics in the middle of work and loosing work.  I am running the Latest Fedora 10 and I have not seen the Kernel panic since I reinstalled the O/S.

[mharvey@dhcp231-215 ~]$ uname -a
Linux dhcp231-215.rdu.redhat.com 2.6.27.19-170.2.35.fc10.i686 #1 SMP Mon Feb 23 13:21:22 EST 2009 i686 i686 i386 GNU/Linux
Comment 4 John W. Linville 2009-03-25 14:16:16 EDT
That patch certainly matches the iwlagn version.  Are you confident that it complies with the other usage of priv->mutex and priv->lock?
Comment 5 reinette chatre 2009-03-25 19:15:14 EDT
Protecting qos_data with priv->lock is the right thing to do and I am thus confident about this particular case. 

wrt the other usages of priv->mutex and priv->lock we may have a few cases that are still inconsistent/incorrect even after this fix.
Comment 6 John W. Linville 2009-04-02 15:32:31 EDT
Kernel w/ patch from comment 2 is building here:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=96422

Please give that a try when the RPMs become available and post the results here...thanks!
Comment 7 Chuck Ebbert 2009-05-20 21:24:36 EDT
In NEEDINFO state for 45 days, closing...